Bug 1397833 - [Tracker] - Improve dwh resources consumption
Summary: [Tracker] - Improve dwh resources consumption
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: Trackers
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.1.0-rc
: 4.1.0
Assignee: Shirly Radco
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: 1405114 1408652
TreeView+ depends on / blocked
 
Reported: 2016-11-23 12:38 UTC by Shirly Radco
Modified: 2017-05-11 09:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, the Java heap size for Data Warehouse was not explicitly set. This resulted in the Java virtual machine using the default size, which could have been as large as a quarter of the machine’s total memory. With this release, Data Warehouse’s configuration was updated to allocate 1 GB of RAM, with the addition of two new parameters: DWH_HEAP_MIN=1g DWH_HEAP_MAX=1g The size can be set to a higher value for larger environments using these new parameters.
Clone Of:
Environment:
Last Closed: 2017-03-16 14:49:44 UTC
oVirt Team: Metrics
rule-engine: ovirt-4.1+
rule-engine: exception+
rule-engine: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)

Description Shirly Radco 2016-11-23 12:38:43 UTC
Description of problem:
DWH is now a dependency of engine. We need to try and improve its resources consumption so it will not impact engine performance.

Comment 1 Lukas Svaty 2016-11-23 12:44:42 UTC
Can you provide any additional information what will be contained within this RFE? Should we consider scale environment or just standard setup, clean DWH or under load? 

Can we define here what's the criteria for the RFE? What is the desired result?

Comment 2 Yaniv Kaul 2016-12-01 14:26:07 UTC
(In reply to Lukas Svaty from comment #1)
> Can you provide any additional information what will be contained within
> this RFE? Should we consider scale environment or just standard setup, clean
> DWH or under load? 

Essentially running the JVM in a similar manner to how the engine is running (XMS and XMX setting for Java).

> 
> Can we define here what's the criteria for the RFE? What is the desired
> result?

Less (virtual) memory usage, hopefully better CPU utilization. We'll test these on RHEV.TLV (which is using the full mode DWH.

Comment 3 Shirly Radco 2016-12-15 14:27:59 UTC
Please test this by adding a new conf file to ovirt-engine-dwhd.conf.d :
DWH_JVM_ARGS="-Xms1g -Xmx1g"

and restart dwh service.

Please how this affects the resources utilization on a scale environment.
Also this should not affect production environment so can be tested on an internal production environment.
It can be tested on a 4.0 environment as well.

Comment 4 Shirly Radco 2016-12-15 16:04:32 UTC
Opened separate bug for limiting heap size testing.

Comment 5 Yaniv Kaul 2017-01-15 16:11:00 UTC
Shirly - I believe this can be moved to ON_QA now?

Comment 6 Lukas Svaty 2017-03-10 09:08:45 UTC
all the dependant bugs in verified moving this as well


Note You need to log in before you can comment on or make changes to this bug.